DPKG-DIVERT(8)

NOMBRE
dpkg-divert - redefine la versión de paquete de un archivo

SINOPSIS
dpkg-divert [opciones] [--add] <fichero>
dpkg-divert [opciones] --remove <fichero>
dpkg-divert [opciones] --list <patrón-global> dpkg-divert [opciones] --truename <fichero>

DESCRIPCIÓN
La `redirección' de archivos es una forma de forzar a dpkg para no instalar un archivo en su ubicación, sino en una ubicación `redirigida'. Las redirecciones se pueden usar a través de los scripts en los paquetes Debian para mover un archivo cuando causa conflicto. Los administradores de sistema pueden usarlo también para redefinir algún archivo de configuración de paquete, o cuando algunos archivos (que no están marcados como 'conffiles') deben ser preservados por dpkg, si se instala una nueva versión del paquete que contiene estos archivos.

dpkg-divert es la herramienta usada para definir y actualizar la lista de 'redirecciones'. Funciona en tres modos básicos - añadir, eliminar y listar redireciones. Las opciones son --add, --remove, y --list, respectivamente. Adicionalmente, puede imprimir el nombre real de un archivo redirigido. Pueden especificarse otras opciones (listadas a continuación).

OPCIONES

--admindir <directorio>
    Define el directorio de datos de dpkg a <directorio> (por omisión: /var/lib/dpkg).

--divert <redirigir-a>
    <redirigir-a> es el nombre usado por las otras versiones del paquete.

--help
    Imprime la versión e instrucciones de uso breves, y finaliza normalmente.

--local
    Especifica que todas las versiones del paquete son redirigidas.

--package <paquete>
    <paquete> es el nombre de un paquete cuya copia de <fichero> no se redigirá.

--quiet
    Modo silencioso, esto es: sin información detallada.

--rename
    Mueve el archivo a un lado (o atrás). dpkg-divert abortará la operación en caso de que el archivo destino ya exista.

--test
    Modo de prueba, esto es: no realiza ningún cambio, solo muestra su ejecución.

--version
    Imprime el nombre del programa y su versión, y finaliza correctamente.

NOTAS
Cuando se añade, por omisión se usa --local y --divert <original>.distrib. Cuando se elimina, --package o --local y --divert deben coincidir si se especifican.

Los directorios no pueden ser redirigidos con dpkg-divert.

Debe de tenerse cuidado cuando se redireccionen bibliotecas compartidas, ldconfig (8) crea un enlace simbólico basado en el campo DT_SONAME empotrado en la biblioteca. Ya que ldconfig no hace caso de las redirecciones (sólo dpkg lo hace), si una biblioteca redirigida tiene el mismo SONAME que la que no está redirigida, es posible que el enlace simbólico acabe apuntando a la biblioteca redirigida.

ARCHIVOS

/var/lib/dpkg/diversions
    Archivo que contiene la lista actual de redirecciones del sistema. Esta ubicado en el directorio de administración de dpkg, así como otros archivos importantes para dpkg, como `status' o `available'.
    Nota: dpkg-divert preserva la copia antigua de este archivo, colocando la extensión "-old", antes de reemplazarlo con uno nuevo.

VEA TAMBIÉN
dpkg(8).

AUTOR
Copyright (C) 1995 Ian Jackson.

La traducción de esta página de manual fue realizada por Rudy Godoy <rudy@kernel-panik.org> y revisada por Rubén Porras <nahoo@inicia.es>

Esto es software libre; véa la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.